#include <string.h>
#include <dialog.h>
#include "projet.h"
#include "projetx.m"
/*
	Slectionne une srie de rvisions.

	Retourne le nombre de rvisions plac dans tbvar, -1 si abandon.
*/
PUBLIC int VERSION_DAT::selmany (
	long mskwin,
	EVENT *cmd,
	int titre,
	BOUTON_FCT *but,
	USERINFO *user,
	VERSION_ONE *tbvar[])	// Liste des rvisions slectionnes
{
	int ret = -1;
	LOCAL_MALLOC pool;
	char *selvar = (char*)pool.calloc (1,list.getnb());
	setintgstatus();
	if (selvar != NULL){
		PAGE_EDIT page("selmany");
		page_setuptitre (&page,titre);
		PAGE_EDIT sp("");
		sp.setnbdisp (12);
		int nb = list.getnb();
		for (int i=0; i<nb; i++){
			VERSION_ONE *one = list.item(i);
			page_setupenumvc (&sp,-1,selvar+i,1,"",0);
			char buf[100];
			one->format(buf);
			sp.setentete (i,"%s",buf);
		}
		sp.coldesign();
		{
			int select_last = nb -1;
			int premier_visible = nb - 11;
			if (premier_visible < 0) premier_visible = 0;
			sp.setpos (premier_visible,select_last);
		}
		page.setup (-1,&sp,0);
		bouton_setupstd (&page,"ok cancel");
		page.setspec(but);
		page.draw();
		while (1){
			PAGE_VAL val = page.edit(mskwin,cmd);
			if (cmd->is_load) break;
			if (val == PAGE_VAL_OK){
				int nb = 0;
				for (i=0; i<list.getnb(); i++){
					if (selvar[i]){
						tbvar[nb++] = list.item(i);
					}
				}
				if (nb > 0){
					ret = nb;
					break;
				}else{
					error_showdef (MSGERR_MINONEVAR);
				}
			}else{
				break;
			}
		}
	}
	return ret;
}


