/* _dict.cc 16/05/98 12.07.58 */
/* ascii.cc 16/05/98 12.10.52 */
/* bfusion.cc 19/05/98 00.06.44 */
PUBLIC PRJLISTE_INTEGRE::PRJLISTE_INTEGRE (VERSION_PAIRE _tbpaire[],
	 int _nbpaire,
	 VERSION_DAT&_version);
PUBLIC int PRJLISTE_INTEGRE::getlist (USERINFO *user,
	 PRJ_INFO tbprj[],
	 int);
PUBLIC int PRJLISTE_INTEGRE::exec (USERINFO *user,
	 int opr,
	 const char *tbprj[],
	 int nbprj);
PUBLIC const char **PRJLISTE_INTEGRE::getbutton (void);
/* bfusion1.cc 17/05/98 22.36.12 */
PRIVATE int FUSION_CONTEXTE::mksubdir (const char *subprj);
PUBLIC int FUSION_CONTEXTE::addtrans (MAKEFILE_FILE *intg_file,
	 MAKEFILE_FILE *extr_file,
	 MAKEFILE_FILE *ref_file,
	 int isdir);
PUBLIC int FUSION_CONTEXTE::addnew (MAKEFILE_FILE *extr_file,
	 MAKEFILE_FILE *ref_file);
PUBLIC int FUSION_CONTEXTE::subdir (MAKEFILE_FILE *extr_file,
	 MAKEFILE_FILE *ref_file,
	 PROJET_LOG *log);
/* bfusion2.cc 18/05/98 05.44.06 */
/* bootrcs.cc 16/05/98 14.00.38 */
SCREEN_LOG::SCREEN_LOG (const char *fname, int append);
void SCREEN_LOG::sendstr (const char *str);
/* change.cc 16/05/98 23.49.26 */
PUBLIC CHANGE_FILE::CHANGE_FILE (const char *_fichier,
	 const char *_doc);
PUBLIC CHANGE_FILE::~CHANGE_FILE (void);
PUBLIC void CHANGE_FILE::setdoc (const char *_doc);
PUBLIC CHANGE_DAT::CHANGE_DAT (const char *_fname);
PUBLIC CHANGE_DAT::~CHANGE_DAT (void);
PUBLIC void CHANGE_DAT::sort (void);
PUBLIC CHANGE_FILE *CHANGE_LIST::getitem (int no)const;
PUBLIC CHANGE_FILE *CHANGE_DAT::locate (const char *fichier);
PUBLIC const char *CHANGE_DAT::getdoc (const char *fichier);
PUBLIC void CHANGE_DAT::setdoc (const char *fichier, const char *doc);
PUBLIC int CHANGE_DAT::save (void);
/* change1.cc 17/05/98 22.32.10 */
/* etc.cc 17/05/98 22.46.56 */
PUBLIC PREFER_PATH::PREFER_PATH (const char *k, const char *p);
PUBLIC const char *PREFER_PATH::getval (char *s, int len);
PUBLIC PREFER_INT::PREFER_INT (const char *k, int v);
PUBLIC int PREFER_INT::getval (void);
/* export.cc 17/05/98 15.53.14 */
/* foper.cc 16/05/98 23.54.30 */
/* fuslog.cc 16/05/98 23.55.38 */
/* import.cc 18/05/98 05.41.48 */
/* intgdat.cc 17/05/98 00.01.50 */
PUBLIC INTG_TRANS::INTG_TRANS (char _oper, const char *str);
PUBLIC INTG_TRANS::INTG_TRANS (char _oper,
	 const char *rev_fichier,
	 const char *rev_dir,
	 const char *rev_root,
	 const char *_path);
PUBLIC INTG_TRANS::~INTG_TRANS (void);
PUBLIC void INTG_TRANS::write (FILE *fout);
PUBLIC const char *INTG_TRANS::getrevfile (void);
PUBLIC const char *INTG_TRANS::getrevdir (void);
PUBLIC const char *INTG_TRANS::getrevroot (void);
PUBLIC INTEGRE_FILE::INTEGRE_FILE (const char *_name,
	 const REVISION *rev_fichier,
	 const REVISION *rev_dir,
	 const REVISION *rev_root,
	 const char *_path,
	 int _nouveau);
PROTECTED INTEGRE_FILE::INTEGRE_FILE (const char *buf);
PUBLIC INTEGRE_FILE::~INTEGRE_FILE (void);
PUBLIC const char *INTEGRE_FILE::getfname (void);
PUBLIC INTG_TRANS *INTEGRE_FILE::getitem (int no)const;
PUBLIC void INTEGRE_FILE::write (FILE *fout);
PUBLIC int INTEGRE_FILE::addcond (char oper,
	 TRA_REV_SPEC&rev,
	 const char *path);
PUBLIC INTEGRE_DAT::INTEGRE_DAT (const char *_fname);
PUBLIC INTEGRE_FILE *INTEGRE_DAT::getitem (int no)const;
PUBLIC INTEGRE_DAT::~INTEGRE_DAT (void);
PUBLIC INTEGRE_FILE *INTEGRE_DAT::locate (const char *fname);
PUBLIC void INTEGRE_DAT::addtrans (const char *fname,
	 FILE_REV_SPEC&ref,
	 const char *refpath,
	 char oper,
	 FILE_REV_SPEC&rev,
	 const char *path);
/* intgdat1.cc 18/05/98 00.03.08 */
PUBLIC void INTEGRE_FILE::efface (void);
PUBLIC void INTEGRE_FILE::select_tra (const USERINFO *user,
	 int select,
	 MAKEFILE *mkf);
PUBLIC void INTEGRE_DAT::menu (long mskwin,
	 EVENT *cmd,
	 BOUTON_FCT *but,
	 USERINFO *user);
/* intgdat2.cc 17/05/98 06.24.08 */
PUBLIC int INTEGRE_FILE::conflit (void);
PUBLIC int INTEGRE_FILE::menu (long mskwin,
	 EVENT *cmd,
	 BOUTON_FCT *but,
	 MAKEFILE *mkf,
	 const USERINFO *user);
/* intgdat3.cc 16/05/98 14.02.44 */
PUBLIC int INTEGRE_FILE::menudir (long mskwin,
	 EVENT *cmd,
	 BOUTON_FCT *but);
/* livre.cc 16/05/98 14.02.56 */
/* log.cc 17/05/98 18.30.38 */
PUBLIC PROJET_LOG::PROJET_LOG (const char *fname, int append);
PUBLIC VIRTUAL PROJET_LOG::~PROJET_LOG (void);
PROTECTED VIRTUAL void PROJET_LOG::sendstr (const char *str);
PUBLIC void PROJET_LOG::vprintf (const char *ctl, va_list list);
PUBLIC void PROJET_LOG::printf (const char *ctl, ...);
/* makefil.cc 17/05/98 18.31.40 */
PUBLIC int MAKEFILE::isok (void);
PUBLIC MAKEFILE::MAKEFILE (const char *_fname,
	 int silence,
	 const char *_projet,
	 USERINFO *_user);
PUBLIC MAKEFILE::MAKEFILE (const char *_fname,
	 int silence,
	 const REVISION *rev,
	 const char *_projet,
	 USERINFO *_user);
PUBLIC MAKEFILE::~MAKEFILE (void);
PUBLIC MAKEFILE_FILE *MAKEFILE::locate (const char *fname);
PROTECTED MAKEFILE_FILE *MAKEFILE::locateadd (const char *fname);
PROTECTED int MAKEFILE::setusrpath (SAVEPATH *save);
PROTECTED int MAKEFILE::unzip (const char *abs_ombpath,
	 const REVISION *rev,
	 const char *nom);
PUBLIC int MAKEFILE::extract (MAKEFILE_FILE *file, int force);
PUBLIC MAKEFILE_FILE *MAKEFILE::setrev (const char *fname,
	 REVISION_TYPE revtype,
	 REVISION *oldrev);
PUBLIC MAKEFILE_FILE *MAKEFILE::setabsrev (const char *fname,
	 long date,
	 const REVISION *absrev);
PUBLIC MAKEFILE_FILE *MAKEFILE::setrev (const char *fname,
	 const REVISION *newrev,
	 const char *path,
	 unsigned long date,
	 int archivable);
PUBLIC MAKEFILE_FILE *MAKEFILE::toi (void);
PUBLIC int MAKEFILE::cleanup (void);
PUBLIC int MAKEFILE::extract (int extr_file);
PUBLIC const char *MAKEFILE::getref (const char *fichier);
/* makefil1.cc 10/09/92 12.08.16 */
PUBLIC int MAKEFILE::delfil (const char *fname);
PUBLIC int MAKEFILE::getnbdel (void);
PUBLIC void MAKEFILE::setiter (void);
PUBLIC void MAKEFILE::setmark (int val);
PUBLIC MAKEFILE_FILE *MAKEFILE::iter (const char *match);
PUBLIC MAKEFILE_FILE *MAKEFILE::iter (const char *match, int mark);
PUBLIC MAKEFILE_FILE *MAKEFILE::iterdel (const char *match);
/* makefil2.cc 17/05/98 22.35.22 */
PROTECTED int MAKEFILE::logversion (const REVISION *oldrev,
	 const char *nomver,
	 const REVISION *newrev,
	 const char *message);
PROTECTED int MAKEFILE::archive (MAKEFILE_FILE *file, const char *);
PUBLIC int MAKEFILE::livre (const char *fname,
	 REVISION_TYPE revtype,
	 const char *doc);
PUBLIC int MAKEFILE::livretoi (REVISION_TYPE revtype, int keep);
PUBLIC int MAKEFILE::creation (const char *nomver,
	 const REVISION *newrev);
PUBLIC int MAKEFILE::copy2usr (MAKEFILE_FILE *file);
PUBLIC int MAKEFILE::copy2usr (void);
/* makefil3.cc 17/05/98 06.30.46 */
PUBLIC MAKEFILE_FILE::MAKEFILE_FILE (void);
PUBLIC MAKEFILE_FILE::~MAKEFILE_FILE (void);
PUBLIC int MAKEFILE_FILE::isdel (void);
PUBLIC void MAKEFILE_FILE::getombpath (USERINFO *user, char *ombpath);
PUBLIC const char *MAKEFILE_FILE::getref (void);
PUBLIC const char *MAKEFILE_FILE::getrelpath (void);
PUBLIC const char *MAKEFILE_FILE::getnom (void);
PUBLIC const REVISION *MAKEFILE_FILE::getrev (void)const;
PUBLIC void MAKEFILE_FILE::pushrev (const REVISION *newrev);
PUBLIC void MAKEFILE_FILE::setombpath (const char *projet);
PUBLIC void MAKEFILE_FILE::setmark (int val);
PUBLIC int MAKEFILE_FILE::getnbhistory (void);
PUBLIC const char *MAKEFILE_FILE::gethistory (int no);
/* makefil4.cc 16/05/98 14.03.34 */
PUBLIC int MAKEFILE::addbuild (void);
PUBLIC const REVISION *MAKEFILE::getrev (void);
/* makefil5.cc 17/05/98 06.33.34 */
PRIVATE void MAKEFILE::init (const char *_fname,
	 int silence,
	 const char *_projet,
	 USERINFO *_user);
PUBLIC int MAKEFILE::ecrit (const char *fichier, int archivable);
PUBLIC int MAKEFILE::ecrit (int archivable);
PUBLIC int MAKEFILE::save (void);
/* os2.cc 24/02/97 14.57.02 */
/* path.cc 17/05/98 06.36.42 */
/* path2.cc 16/05/98 15.19.28 */
/* pdiff.cc 16/05/98 14.04.14 */
/* pexec.cc 21/06/95 19.38.00 */
/* pget.cc 11/07/94 12.07.48 */
/* prjctrl.cc 17/05/98 22.37.54 */
PUBLIC PRJCTRL::PRJCTRL (USERINFO *user);
PUBLIC PRJCTRL::~PRJCTRL (void);
PUBLIC int PRJCTRL::dirsource (const char *path,
	 const char *wild,
	 char *tb[],
	 int);
PUBLIC int PRJCTRL::isdir (const char *fname);
/* prjenv.cc 17/05/98 06.42.56 */
/* prjexpr.cc 17/05/98 18.34.00 */
DUAL_LOG::DUAL_LOG (const char *_path, int _append);
void DUAL_LOG::sendstr (const char *str);
/* prjlist.cc 19/05/98 00.07.38 */
PROTECTED int PRJLISTE_GET::subuser (USERINFO *user,
	 char *tbprj[],
	 int nbprj);
PUBLIC int PRJLISTE_GET::getlist (USERINFO *user,
	 PRJ_INFO tbiprj[],
	 int maxtb);
PUBLIC int PRJLISTE_GETALL::getlist (USERINFO *user,
	 PRJ_INFO tbiprj[],
	 int maxtb);
PUBLIC int PRJLISTE_GET::exec (USERINFO *user,
	 int ,
	 const char *tbprj[],
	 int nbprj);
PUBLIC const char **PRJLISTE_GET::getbutton (void);
PUBLIC int PRJLISTE_LIVRE::getlist (USERINFO *user,
	 PRJ_INFO tbiprj[],
	 int maxtb);
PUBLIC int PRJLISTE_LIVRE::exec (USERINFO *user,
	 int opr,
	 const char *tbprj[],
	 int nbprj);
PUBLIC const char **PRJLISTE_LIVRE::getbutton (void);
PUBLIC int PRJLISTE_BUILD::getlist (USERINFO *user,
	 PRJ_INFO tbiprj[],
	 int maxtb);
PUBLIC int PRJLISTE_BUILDALL::getlist (USERINFO *user,
	 PRJ_INFO tbiprj[],
	 int maxtb);
PUBLIC int PRJLISTE_BUILD::exec (USERINFO *user,
	 int opr,
	 const char *tbprj[],
	 int nbprj);
PUBLIC const char **PRJLISTE_BUILD::getbutton (void);
PUBLIC int PRJLISTE_LIVREB::getlist (USERINFO *user,
	 PRJ_INFO tbiprj[],
	 int maxtb);
/* prjlock.cc 17/05/98 22.38.16 */
PUBLIC PRJLOCK::PRJLOCK (USERINFO *_user, const char *_projet);
PUBLIC PRJLOCK::~PRJLOCK (void);
PUBLIC void PRJLOCK::save (void);
PUBLIC int PRJLOCK::isok (void);
/* prjlock1.cc 16/05/98 14.05.50 */
PUBLIC int PRJLOCK::islock (const char *objet, ONE_LOCK *tblock[]);
PUBLIC int PRJLOCK::progstat (const char *prog, const char *projet);
PUBLIC int PRJLOCK::islockx (const char *projet);
PUBLIC int PRJLOCK::issublock (int exclusif,
	 const char *objet,
	 char *prog,
	 char *lock);
PUBLIC void PRJLOCK::add (int exclusif,
	 const char *objet,
	 const char *path);
PUBLIC int PRJLOCK::del (const char *objet);
/* prjlock2.cc 17/05/98 11.45.10 */
PUBLIC int PRJLOCK::getprog (char *tbprog[])const;
/* prjopr.cc 17/05/98 11.48.44 */
/* prog.cc 17/05/98 22.39.36 */
/* projet.cc 15/04/93 23.10.50 */
/* projet1.cc 17/05/98 22.40.48 */
/* projet2.cc 01/07/98 17.09.16 */
PUBLIC FCTBUT_INFO::FCTBUT_INFO (PRJLISTE *_liste, USERINFO *_user);
PUBLIC FCTBUT_INFO::~FCTBUT_INFO (void);
PUBLIC void FCTBUT_INFO::setprjlist (DIALOG&dia);
/* projet3.cc 17/05/98 22.41.14 */
/* projetc.cc 16/05/98 15.09.38 */
/* projetp.cc 28/06/98 22.16.38 */
/* rcmd.cc 17/05/98 22.44.06 */
/* rcs.cc 16/05/98 15.10.10 */
/* rcs1.cc 19/05/98 00.04.38 */
/* rcs2.cc 16/05/98 15.10.22 */
/* revision.cc 17/05/98 12.50.10 */
PUBLIC REVISION::REVISION (const char *revstr);
PUBLIC REVISION::REVISION (const REVISION *rev);
PUBLIC REVISION::REVISION (void);
PUBLIC int REVISION::set (const char *revstr);
PUBLIC STATIC int REVISION::check (const char *revstr);
PUBLIC REVISION_TYPE REVISION::type (void)const;
PUBLIC int REVISION::getlivre (void)const;
PUBLIC int REVISION::next (int _prog, REVISION_TYPE _type);
PUBLIC void REVISION::cnv (REVISION_TYPE type);
PUBLIC void REVISION::format (char *revstr)const;
PUBLIC void REVISION::formatpath (char *path)const;
PUBLIC void REVISION::formatbld (char *path)const;
PUBLIC int REVISION::cmp (const REVISION *rev)const;
PUBLIC void REVISION::strip (void);
PUBLIC int REVISION::getprog (void);
PUBLIC int REVISION::isnull (void);
/* savepath.cc 16/05/98 15.10.40 */
/* stub.cc 17/05/98 22.43.22 */
/* tmppath.cc 17/05/98 12.53.14 */
/* ufusion.cc 17/05/98 22.42.54 */
/* userinf.cc 17/05/98 22.24.12 */
PUBLIC int USERINFO::makusrpath (const char *autre,
	 const char *projet,
	 char *userdir)const;
PROTECTED int USERINFO::findobj (void);
PUBLIC void USERINFO::makusrpath (const char *projet,
	 char *path)const;
PUBLIC void USERINFO::maklivpath (const char *projet,
	 char *path)const;
PUBLIC void USERINFO::maksyncpath (const char *site, char *path)const;
PUBLIC const char *USERINFO::getsyncpath (void)const;
PUBLIC const char *USERINFO::getusrpath (void)const;
PUBLIC void USERINFO::makrefpath (const char *projet,
	 char *path)const;
PUBLIC void USERINFO::makombpath (const char *projet,
	 char *path)const;
PUBLIC void USERINFO::makbldpath (const char *projet,
	 char *path)const;
PUBLIC int USERINFO::makobjpath (const char *projet, char *path)const;
PUBLIC int USERINFO::difusrobj (void)const;
PUBLIC VIRTUAL int USERINFO::isbuild (void)const;
PUBLIC const char *USERINFO::getnom (void)const;
PUBLIC const char *USERINFO::getgroupe (void)const;
PUBLIC const char *USERINFO::getombre (void)const;
PUBLIC const char *USERINFO::getlivre (void)const;
PUBLIC int USERINFO::getno (void)const;
PUBLIC const char *USERINFO::getversion (void)const;
PUBLIC int USERINFO::setversion (const char *newver);
PUBLIC int USERINFO::setversion (const VERSION_ONE *one);
PUBLIC void USERINFO::gethome (char *path);
PUBLIC void USERINFO::getbld (char *path);
PUBLIC VIRTUAL const REVISION *USERINFO::getrevsrc (void)const;
PUBLIC VIRTUAL const REVISION *USERINFO::getrevdst (void)const;
PUBLIC VIRTUAL void USERINFO::setrevnxt (REVISION *newrev,
	 REVISION_TYPE revtype)const;
PRIVATE void USERINFO::init (void);
PUBLIC USERINFO::USERINFO (const char *_prog,
	 const char *_version,
	 const char *_usrpath,
	 const char *_groupe,
	 const char *_ombre,
	 const char *_livre,
	 const char *_sync);
PROTECTED USERINFO::USERINFO (void);
PUBLIC USERINFO::USERINFO (const USERINFO *user);
PUBLIC VIRTUAL USERINFO::~USERINFO (void);
/* userinf1.cc 17/05/98 13.03.10 */
PUBLIC void USERINFO::chgenv (REVISION_TYPE revtype,
	 int renomme,
	 PROJET_LOG *log);
PUBLIC USERBUILD::USERBUILD (const char *_version,
	 const REVISION *_rev);
PUBLIC VIRTUAL int USERBUILD::isbuild (void)const;
PUBLIC USERINTG::USERINTG (const char *_version,
	 const REVISION *_revbase,
	 const REVISION *_revdest);
PUBLIC const REVISION *USERINTG::getrevsrc (void)const;
PUBLIC void USERINTG::setrevnxt (REVISION *newrev, REVISION_TYPE)const;
PUBLIC void USERINFO::logerr (const char *ctl, ...)const;
/* userinf2.cc 19/05/98 00.05.36 */
/* version0.cc 28/06/98 22.27.18 */
PUBLIC VERSION_ONE::VERSION_ONE (const char *_vername,
	 const char *_progname,
	 const char *revstr,
	 const char *datestr);
PUBLIC VERSION_ONE::VERSION_ONE (const char *_vername,
	 const char *_progname,
	 const REVISION *_rev,
	 const char *datestr);
PUBLIC VERSION_ONE::VERSION_ONE (const VERSION_ONE *v);
PUBLIC const REVISION *VERSION_ONE::getrev (void)const;
PUBLIC void VERSION_ONE::format (char *buf1, char *buf2)const;
PUBLIC const char *VERSION_ONE::getversion (void)const;
PUBLIC void VERSION_ONE::addinfo (const char *ctl, ...);
PUBLIC void VERSION_ONE::setprog (const char *_progname);
PUBLIC const char *VERSION_ONE::getprog (void);
PUBLIC int VERSION_ONE::isinteg (void)const;
PUBLIC VERSION_ONE::~VERSION_ONE (void);
PUBLIC void VERSION_ONE::save (FILE *fout)const;
PUBLIC int VERSION_DAT::merge (const char *fname);
PROTECTED void VERSION_DAT::init (const char *fname);
PUBLIC VERSION_DAT::VERSION_DAT (const char *fname);
PUBLIC VERSION_DAT::VERSION_DAT (USERINFO *user);
PUBLIC VERSION_DAT::VERSION_DAT (USERINFO *user, const char *projet);
PUBLIC VERSION_DAT::~VERSION_DAT (void);
PUBLIC int VERSION_DAT::save (USERINFO *user)const;
PUBLIC void VERSION_DAT::sort (void);
PUBLIC VERSION_ONE *VERSION_LIST::getitem (int no)const;
PUBLIC VERSION_ONE *VERSION_DAT::select (const char *vername,
	 const char *progname);
PUBLIC void VERSION_DAT::add (VERSION_ONE *ver);
PUBLIC VERSION_ONE *VERSION_DAT::add (const char *vername,
	 const char *progname,
	 const REVISION *newrev);
/* version1.cc 01/07/98 16.48.26 */
PUBLIC VERSION_ONE *VERSION_DAT::get (int sel);
PUBLIC VERSION_ONE *VERSION_DAT::get (const REVISION *rev,
	 int &noitem);
PUBLIC VERSION_ONE *VERSION_DAT::get (const REVISION *rev);
PUBLIC int VERSION_DAT::getnb (void);
PUBLIC int VERSION_DAT::delrev (const REVISION *rev);
PUBLIC int VERSION_DAT::setselect (DIALOG&dia,
	 REVISION_TYPE minsel,
	 REVISION_TYPE maxsel,
	 unsigned *selitem,
	 const char *path_check,
	 int lookup[]);
PUBLIC VERSION_ONE *VERSION_DAT::select (REVISION_TYPE minsel,
	 REVISION_TYPE maxsel,
	 const char *path_check);
PUBLIC void VERSION_DAT::setuppick (DIALOG&dia);
/* version2.cc 18/05/98 00.02.38 */
PUBLIC int VERSION_DAT::creation (USERINFO *user);
/* version3.cc 16/05/98 15.12.44 */
PUBLIC int VERSION_DAT::selmany (long mskwin,
	 EVENT *cmd,
	 int titre,
	 BOUTON_FCT *but,
	 USERINFO *user,
	 VERSION_ONE *tbvar[]);
/* version4.cc 17/05/98 13.21.22 */
PUBLIC void VERSION_DAT::setintgstatus (void);
/* wlog.cc 18/05/98 22.39.22 */
PUBLIC WINDOW_LOG::WINDOW_LOG (const char *fname, int append);
PUBLIC WINDOW_LOG::~WINDOW_LOG (void);
PROTECTED void WINDOW_LOG::draw (int noline);
PUBLIC void WINDOW_LOG::redraw (void);
PROTECTED VIRTUAL void WINDOW_LOG::sendstr (const char *str);
PUBLIC void WINDOW_LOG::show (void);
PUBLIC void WINDOW_LOG::hide (void);
